org.jboss.netty.handler.codec.http

## Interface HttpResponse

- All Superinterfaces:
    HttpMessage
  All Known Implementing Classes:
    DefaultHttpResponse

      public interface HttpResponse
      extends HttpMessage

  An HTTP response.

  ### Accessing Cookie

  Unlike the Servlet API, `Cookie` support is provided separately via `CookieEncoder` and `CookieDecoder`.

  See Also:
    `HttpRequest`, `CookieEncoder`, `CookieDecoder`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpResponseStatus` | `getStatus()` Returns the status of this response.
    `void` | `setStatus(HttpResponseStatus status)` Sets the status of this response.

    - ### Methods inherited from interface org.jboss.netty.handler.codec.http.HttpMessage

      `addHeader, clearHeaders, containsHeader, getContent, getContentLength, getContentLength, getHeader, getHeaderNames, getHeaders, getHeaders, getProtocolVersion, isChunked, isKeepAlive, removeHeader, setChunked, setContent, setHeader, setHeader, setProtocolVersion`

- - ### Method Detail

    - #### getStatus

          HttpResponseStatus getStatus()

      Returns the status of this response.

    - #### setStatus

          void setStatus(HttpResponseStatus status)

      Sets the status of this response.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.